# config_teamtrack.py -- P4DTI configuration for replication to TeamTrack.
# Gareth Rees, Ravenbrook Limited, 2000-10-16.
# $Id: //info.ravenbrook.com/project/p4dti/version/0.3/code/replicator/config_teamtrack.py#3 $
#
# Copyright 2000 Ravenbrook Limited.  This document is provided "as is",
# without any express or implied warranty. In no event will the authors
# be held liable for any damages arising from the use of this document.
# You may make and distribute copies and derivative works of this
# document provided that (1) you do not charge a fee for this document or
# for its distribution, and (2) you retain as they appear all copyright
# and licence notices and document history entries, and (3) you append
# descriptions of your modifications to the document history.

import dt_teamtrack
import logger
import replicator
import socket

rid = ???? # Replicator identifier.
sid = 'p4_' + socket.gethostname()

log_file = open("p4dti.log", "a")
logger = logger.multi_logger([logger.file_logger(log_file),
                              logger.file_logger()])

teamtrack_config = \
{ 'logger': logger }

replicator_config = \
{ 'logger': logger,
  'administrator-address': ????, # E-mail address of integration administrator.
  'smtp-server': ????,           # Address of SMTP server for sending e-mail.
  'p4-port': ????,               # Port of Perforce server.
  'p4-client-executable': ????,  # Path to P4/NTX86/2000.1/17595.
  }

dt = dt_teamtrack.dt_teamtrack(rid, sid, teamtrack_config)
r = replicator.replicator(rid, dt, replicator_config)
